Manage Dashboards
Update or insert a specific dashboard by its origin or id
put
/api/dashboards/{originOrId}Update or insert a specific dashboard by its origin or id. In case a dashboard with the given origin or id is found it will be updated. If there is no dashboard found a new dashboard will be created and the given originOrId is used as origin.
Parameters 2
originOrIdpathrequiredThe origin or id of the dashboard.
string
datasetqueryReferences Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample requestcurl --request PUT 'https://api.eu-west-1.aws.dash0.com/api/dashboards/123e4567-e89b-42d3-a456-426614174000' \
--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
--header 'Content-Type: application/json' \
--data-raw '{
"kind": "Dashboard",
"metadata": {
"name": "Example"
},
"spec": {}
}'Request body required
References DashboardDefinition
A dashboard definition that is compatible with Perses' dashboarding system.
Responses
The updated or created dashboard.
References DashboardDefinition
A dashboard definition that is compatible with Perses' dashboarding system.